import com.cycling74.max.*;
import java.net.*;
import java.io.*;

public class weather extends MaxObject
{
    public weather(Atom[] args)
    {
		declareInlets(new int[]{DataTypes.ALL});
		declareOutlets(new int[]{DataTypes.ALL});
    }
    
    public void bang()
    {
    }
    
    public void inlet(int i)
    {
		try {
			int zipCode = i;
			int data = 0;	
			// get the URL
			String urlString = "http://www.weatherclicks.com/xml/" + zipCode;	
			URL url = new URL(urlString);
   		    HttpURLConnection con = (HttpURLConnection) url.openConnection();
			// get a buffered reader for the URL data
			InputStream stream = url.openStream();
			InputStreamReader streamReader = new InputStreamReader(stream);
			BufferedReader bufReader = new BufferedReader(streamReader);
			// keep reading lines until we get to the one with the temperature
			String line = bufReader.readLine();
			while ((line != null) && (line.indexOf("<title>Current Weather") == -1)) {
				line = bufReader.readLine();
			}
			int index = line.indexOf("F");
			if (index == -1)
				post("bad data!");
			else {
				// grab the temperature off of the line
				String temp = line.substring(index - 2, index);
				data = Integer.parseInt(temp);
			}
			// send it out to Max!
			outlet(0, data);
		} catch (Exception e) {
			post("something bad happened.");
			e.printStackTrace();
		}
    }
    
    public void inlet(float f)
    {
    }
    
    
    public void list(Atom[] list)
    {
    }
    
}










